3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php class A extends Exception{} class B extends Exception{} try { throw A('Message 1'); } catch(A $e) { throw B('Message 2', 0, $e); }
Output for 7.0.0 - 7.2.0
Fatal error: Uncaught Error: Call to undefined function A() in /in/qbeH5:8 Stack trace: #0 {main} thrown in /in/qbeH5 on line 8
Process exited with code 255.
Output for 5.3.18 - 5.6.28
Fatal error: Call to undefined function A() in /in/qbeH5 on line 8
Process exited with code 255.